
QGIS Application - Bug report #9565

Dxf2Shp converter plugin does not generate any output with the provided input file

2014-02-14 07:00 AM - baditaflorin -

Status: Closed

Priority: High

Assignee:

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 18149

Description

I have attached the file and dump file. Unfortunately i don't know with what program to read the 24 megabytes crash minidump file, so i

cannot help more.

I have also attached the file that is causing the crash.

I have a 32 bits processor, but i don't think that is matter.

History

#1 - 2014-02-14 08:26 AM - Giovanni Manghi

- Subject changed from Dxf2Shp Converter Plugin crash when trying to convert a file to Dxf2Shp Converter Plugin does not generates any outout with 

the provided input file

- Affected QGIS version changed from 2.0.1 to master

- OS version deleted (7)

- Target version changed from Version 2.0.0 to Version 2.2

- Priority changed from Severe/Regression to Normal

A few notes:

    -  the crash is confirmed on qgis 2.0.1 on Windows, but not on master. QGIS 1.8 also didn't crashed so actually in master there is no regression.

    -  on Windows (qgis master, 1.8) no output is generated (using the provided dxf)

    -  on Linux (master) the plugin creates succesfully the output

    -  there is a obvious workaround that is loading the dxf into qgis and then export the layers as shapefiles

    -  the plugin/tool should be unmaintained and if I'm not wrong it has been discussed to remove it, so I'm not sure if it is worth to keep this open

#2 - 2014-02-14 05:35 PM - Jürgen Fischer

- Subject changed from Dxf2Shp Converter Plugin does not generates any outout with the provided input file to Dxf2Shp converter plugin does not 

generate any output with the provided input file

#3 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#4 - 2014-10-30 10:01 AM - Giovanni Manghi
- Priority changed from Normal to High

#5 - 2014-10-30 11:48 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

seems to work fine now also on Windows.

Files

DXF_file.zip 2.09 MB 2014-02-14 baditaflorin -

qgis-20140214-164133-7556-7400-ebebdf3.rar 4.92 MB 2014-02-14 baditaflorin -
